import styled, { css } from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

import { marginHelper } from './styledHelpers'

export const tagCSS = ({ status }) =>
  status
    ? css`
        padding: calc(${th('gridUnit')} / 4) ${th('gridUnit')};
        height: 24px;
        font-family: ${th('fontHeading')};
      `
    : css`
        height: 14px;
        font-size: 85%;
        padding: calc(${th('gridUnit')} / 4) calc(${th('gridUnit')} / 4) 0px;
        margin-right: 1px;
        font-family: ${th('fontInterface')};
      `

/** @component */
export default styled.div`
  background-color: ${({ status }) =>
    status ? th('tag.statusBackgroundColor') : th('tag.backgroundColor')};
  border-radius: ${th('tag.borderRadius')
    ? th('tag.borderRadius')
    : th('borderRadius')};
  color: ${th('tag.color')};
  font-weight: ${th('tag.fontWeight')};
  font-size: ${th('tag.fontSize')};
  text-align: center;
  vertical-align: baseline;
  width: fit-content;
  white-space: nowrap;
  display: inline-flex;
  align-items: center;

  ${tagCSS};
  ${marginHelper};
`
